Bug 331772

Summary: TextField in RangeInput cannot be edited
Product: krita Reporter: Arjen Hiemstra <ahiemstra>
Component: Krita SketchAssignee: Dan Leinir Turthra Jensen <admin>
Status: RESOLVED FIXED    
Severity: normal CC: halla
Priority: NOR    
Version: git master (please specify the git hash!)   
Target Milestone: ---   
Platform: Compiled Sources   
OS: All   
Latest Commit: Version Fixed In:

Description Arjen Hiemstra 2014-03-05 15:47:41 UTC
Currently, the TextField that is part of RangeField cannot be edited.

Reproducible: Always

Steps to Reproduce:
1. Launch Sketch, load an image.
2. Open the Tool panel.
3. Try to edit the first value (Size)
Actual Results:  
TextField receives focus but cannot be edited.

Expected Results:  
TextField receives focus and can be edited.
Comment 1 Arjen Hiemstra 2014-05-21 14:19:40 UTC
Git commit 4680dbede9d0940923001d72e9fb5428373b801c by Arjen Hiemstra.
Committed on 21/05/2014 at 14:12.
Pushed by ahiemstra into branch 'master'.

sketch: Cleanup the Tool panel and tool config pages

It is not too surprising the panel cannot scroll when the container item
has a size of 0. This also cleans up most of the tool config pages that
contained way too many nested things. As a bonus, the RangeInput fields
in the tool panel now work again.
Related: bug 332860

M  +7    -2    krita/sketch/qml/panels/ToolPanel.qml
M  +47   -62   krita/sketch/qml/panels/toolconfigpages/crop.qml
M  +44   -86   krita/sketch/qml/panels/toolconfigpages/fill.qml
M  +59   -90   krita/sketch/qml/panels/toolconfigpages/gradient.qml
M  +3    -0    krita/sketch/qml/panels/toolconfigpages/move.qml
M  +155  -197  krita/sketch/qml/panels/toolconfigpages/paint.qml
M  +2    -2    krita/sketch/themes/default/colors.js

http://commits.kde.org/calligra/4680dbede9d0940923001d72e9fb5428373b801c